summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /kde-misc/quadkonsole
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'kde-misc/quadkonsole')
-rw-r--r--kde-misc/quadkonsole/Manifest1
-rw-r--r--kde-misc/quadkonsole/metadata.xml5
-rw-r--r--kde-misc/quadkonsole/quadkonsole-0.4.4.ebuild42
3 files changed, 48 insertions, 0 deletions
diff --git a/kde-misc/quadkonsole/Manifest b/kde-misc/quadkonsole/Manifest
new file mode 100644
index 00000000000..ad30b8da9dd
--- /dev/null
+++ b/kde-misc/quadkonsole/Manifest
@@ -0,0 +1 @@
+DIST quadkonsole4-0.4.4.tar.bz2 67812 SHA256 68946c329b16ef6f62394cf9c691761d46f8a69d233a47a3e5481605abeb570c SHA512 e2aa3b3131b005d597e6284e37fa3711b0e65785d6e5db9997a5baf066b6f4152ea843096cdbfb94cfc81bb46092e030f5204a3dbb3a805fae6f2820dfa182b4 WHIRLPOOL a1fac9ddf6c1b3583df06b6c1df65f74f01a24d4cf87c43587ea09344d1d693b5a861689c541364c1b0a963b42c1f423b6f5fd85d026076d38f73e33d113eadb
diff --git a/kde-misc/quadkonsole/metadata.xml b/kde-misc/quadkonsole/metadata.xml
new file mode 100644
index 00000000000..8d1e86a9cef
--- /dev/null
+++ b/kde-misc/quadkonsole/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>kde</herd>
+</pkgmetadata>
diff --git a/kde-misc/quadkonsole/quadkonsole-0.4.4.ebuild b/kde-misc/quadkonsole/quadkonsole-0.4.4.ebuild
new file mode 100644
index 00000000000..9fa3d550bc2
--- /dev/null
+++ b/kde-misc/quadkonsole/quadkonsole-0.4.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_HANDBOOK=optional
+KDE_LINGUAS_DIR="i18n"
+KDE_LINGUAS="cs de sr sr@ijekavian sr@ijekavianlatin sr@latin"
+inherit kde4-base
+
+MY_P=${PN}4-${PV}
+
+DESCRIPTION="Grid of Konsole terminals"
+HOMEPAGE="http://kb.ccchl.de/quadkonsole4/"
+SRC_URI="http://kb.ccchl.de/${PN}4/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+RDEPEND="
+ $(add_kdeapps_dep konsole)
+ $(add_kdeapps_dep libkonq)
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS ChangeLog )
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ local lang
+ for lang in ${KDE_LINGUAS} ; do
+ if ! use linguas_${lang} ; then
+ rm ${KDE_LINGUAS_DIR}/${PN}4_${lang}.po
+ fi
+ done
+
+ kde4-base_src_prepare
+}